Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 606627 Details for
Bug 835131
PrivateTmp breaks if /var/tmp is a symlink
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Patch for mysqld-prepare-db-dir that clean up $datadir if not initialized properly
mysqld-prepare-db-dir.patch (text/plain), 864 bytes, created by
Honza Horak
on 2012-08-23 14:50:53 UTC
(
hide
)
Description:
Patch for mysqld-prepare-db-dir that clean up $datadir if not initialized properly
Filename:
MIME Type:
Creator:
Honza Horak
Created:
2012-08-23 14:50:53 UTC
Size:
864 bytes
patch
obsolete
>diff --git a/mysqld-prepare-db-dir b/mysqld-prepare-db-dir >index 72badd7..d938ddb 100644 >--- a/mysqld-prepare-db-dir >+++ b/mysqld-prepare-db-dir >@@ -47,8 +47,20 @@ if [ ! -d "$datadir/mysql" ] ; then > ret=$? > chown -R mysql:mysql "$datadir" > if [ $ret -ne 0 ] ; then >+ echo "Initialization of MySQL database failed. "\ >+ "It could be caused by a misconfigured my.cnf." >&2 >+ if [ ! -e "$datadir/mysql/user.frm" ] ; then >+ echo "Erasing $datadir/* ..." >&2 >+ rm -rf "$datadir/"* >+ fi > exit $ret > fi > fi > >+if [ -d "$datadir/mysql" -a ! -e "$datadir/mysql/user.frm" ] ; then >+ echo "MySQL database is probably damaged. If you wish to initialize it "\ >+ "again, backup the existing directory '$datadir', empty that "\ >+ "directory and run $0 again." >&2 >+fi >+ > exit 0
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 835131
: 606627 |
607501